aboutsummaryrefslogtreecommitdiffstats
path: root/main/zabbix/zabbix-proxy.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/zabbix/zabbix-proxy.initd')
-rw-r--r--main/zabbix/zabbix-proxy.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/main/zabbix/zabbix-proxy.initd b/main/zabbix/zabbix-proxy.initd
new file mode 100644
index 0000000000..8ac246eccd
--- /dev/null
+++ b/main/zabbix/zabbix-proxy.initd
@@ -0,0 +1,21 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/zabbix/files/1.6.6/init.d/zabbix-proxy,v 1.1 2009/10/06 16:24:35 patrick Exp $
+
+depend() {
+ need net
+ #use mysql postgresql
+}
+
+start() {
+ ebegin "Starting Zabbix proxy"
+ start-stop-daemon --start -c zabbix:zabbix --exec /usr/sbin/zabbix_proxy
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Zabbix proxy"
+ start-stop-daemon --stop -u zabbix --pidfile /var/run/zabbix/zabbix_proxy.pid
+ eend $?
+}